###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: GFS
Version: 6.1.5
Release: 0
License: GPL
Group: System Environment/Kernel
Summary: GFS - The Global File System
BuildRequires: GFS-kernheaders >= 2.6.9
BuildRequires: iddev-devel
ExclusiveArch: i386 ia64 x86_64
Requires: initscripts >= 7.93.2.EL-1
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Source0: gfs-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GFS - The Global File System

%prep
%setup -q -n gfs-%{version}

%build
./configure --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= 6/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 1.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %{version}/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add gfs

if [ -z "`grep "^kernel\.panic_on_oops" /etc/sysctl.conf`" ]; then
  echo "" >> /etc/sysctl.conf
  echo "# The following line is necessary for GFS to function properly." >> /etc/sysctl.conf
  echo "kernel.panic_on_oops = 1" >> /etc/sysctl.conf
fi
sysctl -e -p /etc/sysctl.conf 2>&1 > /dev/null
exit 0

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del gfs
fi

%files
%defattr(-,root,root,-)
/sbin/*
%config /etc/init.d/gfs

%{_mandir}/*/*


%changelog
* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up .spec file and %files section.

* Wed Dec 22 2004 Chris Feist <cfeist@redhat.com>
- Added code to re-read sysctl.conf.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Sat Aug 14 2004 Jon Brassow <jbrassow@redhat.com> 
- various bug fixes (new upstream sources)

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
